Skip to main content
POST
/
v2
/
salesorder
/
create
Creates a new sales order.
curl --request POST \
  --url https://api.jtl-cloud.com/erp/v2/salesorder/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-appid: <x-appid>' \
  --header 'x-appversion: <x-appversion>' \
  --header 'x-tenant-id: <x-tenant-id>' \
  --data '
{
  "disableAutomaticWorkflows": true,
  "useBillingAddressAsShipmentAddress": true,
  "cartonItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "companyId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "customerId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "onHoldReasonId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "paymentMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "processColourId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "processStatusId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "externalDetails": {
    "externalCreatedDate": "2023-11-07T05:31:56Z",
    "externalInvoiceType": 0,
    "externalSalesOrderNumber": "<string>"
  },
  "lineItems": [
    {
      "itemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
      "parentSalesOrderLineItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
      "taxClassId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
      "taxCodeId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
      "billOfMaterialsType": 0,
      "configurationItemType": 0,
      "discountPercent": 123,
      "fnSku": "<string>",
      "name": "<string>",
      "note": "<string>",
      "purchasePriceNet": 123,
      "quantity": 123,
      "salesPriceNet": 123,
      "salesUnit": "<string>",
      "sku": "<string>",
      "taxRate": 123,
      "type": 0,
      "variants": [
        {
          "extraWeight": 123,
          "name": "<string>",
          "surchargeNet": 123,
          "value": "<string>",
          "itemVariantId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
          "itemVariantValueId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
        }
      ]
    }
  ],
  "paymentInfo": {
    "accountHolder": "<string>",
    "bankName": "<string>",
    "bIC": "<string>",
    "creditorId": "<string>",
    "dueDate": "2023-11-07T05:31:56Z",
    "endToEndId": "<string>",
    "iBAN": "<string>",
    "mandateReference": "<string>",
    "paymentInfo": "<string>",
    "paymentReference": "<string>",
    "referenceEmail": "<string>"
  },
  "shippingDetails": {
    "deliveryFromDate": "2023-11-07T05:31:56Z",
    "estimatedDeliveryDate": "2023-11-07T05:31:56Z",
    "extraWeight": 123,
    "maxDeliveryDays": 123,
    "shippingDate": "2023-11-07T05:31:56Z",
    "shippingPriority": 123
  },
  "taxDetails": {
    "taxReference": 0,
    "specialTaxTreatment": 0,
    "taxSetting": 0
  },
  "text": {
    "comment": "<string>",
    "customerComment": "<string>",
    "printText": "<string>",
    "processStatus": "<string>"
  },
  "customerSalesOrderNumber": "<string>",
  "itemDescriptionType": 0,
  "languageIso": "<string>",
  "readOnlyType": 0,
  "salesOrderDate": "2023-11-07T05:31:56Z",
  "salesOrderNumber": "<string>",
  "shippingMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "vatId": "<string>"
}
'

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

api-version
string
x-appid
string
required

This is the name of your application, e.g. "MyApp/1.0.0". It is used to identify your application.

x-appversion
string
required

This is where the version number of your application is entered, e.g. "1.0.0".

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

X-SessionId
string<uuid>

The id of a session in which the call will be executed.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Body

application/json

Request parameters

Creates a new sales order. - Request

disableAutomaticWorkflows
boolean

Indicates whether automatic workflows should be disabled for this sales order.

useBillingAddressAsShipmentAddress
boolean

Indicates whether the billing address should be used as the shipment address. If no shipment address is provided and the flag ist not set, the billing address will also be used as shipment address. If the shipment address is provided, this flag will be ignored.

cartonItemId
string<uuid>

The SalesOrder CartonItemId

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

companyId
string<uuid>

The SalesOrder CompanyId

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

customerId
string<uuid>

The customer ID.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

onHoldReasonId
string<uuid>

The SalesOrder OnHoldReasonId

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

paymentMethodId
string<uuid>

The SalesOrder PaymentMethodId

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

processColourId
string<uuid>

The SalesOrder ProcessColourId

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

processStatusId
string<uuid>

The SalesOrder ProcessStatusId

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

billingAddress
object

SalesOrderBillingAddress

departureCountry
object

DepartureCountry

externalDetails
object

ExternalDetails

lineItems
object[]

List of SalesOrderLineItem

paymentDetails
object

PaymentDetails

paymentInfo
object

SalesOrderPaymentInfo

shipmentAddress
object

SalesOrderShipmentAddress

shippingDetails
object

ShippingDetails

taxDetails
object

TaxDetails

text
object

SalesOrderText

customerSalesOrderNumber
string

The SalesOrder CustomerSalesOrderNumber

itemDescriptionType
enum<integer>

The SalesOrder ItemDescriptionType

Available options:
0,
1,
2
languageIso
string

The SalesOrder LanguageISO

Required string length: 2 - 5
readOnlyType
enum<integer>

The SalesOrder ReadOnlyType

Available options:
0,
1,
2
salesOrderDate
string<date-time>

The SalesOrder Date

salesOrderNumber
string

The SalesOrder SalesOrderNumber

shippingMethodId
string<uuid>

The SalesOrder ShippingMethodId

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

vatId
string

The SalesOrder VATId

Response

201 - application/json

Sales order created successfully